import { FoundationElement } from '@microsoft/fast-foundation';
export declare const foundationDialogShadowOptions: ShadowRootInit;
export declare const defaultDialogConfig: {};
export declare abstract class DialogElement extends FoundationElement {
    mainElement: HTMLDialogElement;
    position: 'centre' | 'left' | 'right';
    showCloseIcon: boolean;
    onShowCallback: () => void;
    onCloseCallback: () => void;
    connectedCallback(): void;
    get open(): boolean;
    abstract show(): void;
    close(): void;
}
export declare class Dialog extends DialogElement {
    show(): void;
}
export declare const foundationDialog: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<Dialog, any>;
    shadowOptions: ShadowRootInit;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<Dialog, any>;
    shadowOptions: ShadowRootInit;
}, typeof Dialog>;
//# sourceMappingURL=dialog.d.ts.map